Bug 137 - Xft warning about missing RENDER
Summary: Xft warning about missing RENDER
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xft (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Keith Packard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-05 07:08 UTC by Owen Taylor
Modified: 2011-10-15 17:14 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Owen Taylor 2003-11-05 07:08:24 UTC
If I'm not mistaken, Xft will still print a warning when it is
started on a display without the RENDER extension - 

in _XftDisplayInfoGet(), the first call to XRenderFindVisualFormat()
is guarded by a call to XRenderQueryExtension(), but then regardless
of info->hasRender, we later clal XRenderFindFormat(), which will
print a warning.
Comment 1 Keith Packard 2005-03-01 21:32:32 UTC
Fixed in CVS.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.